#!/usr/bin/env python3
"""
SWF Decompress
by Javantea
Mar 24, 2012

Decompressing swf is as simple as skipping the first 8 bytes and decompressing 
the rest. Why don't they use gzip or just flat zlib? Because those 8 bytes 
allow us to identify it as a swf without knowing the extension.
43 57 53 0b f9 d4 06 00 == CWS.....
Yes, it's really this stupid.
"""
from __future__ import print_function
import zlib
import sys

def usage():
	print("Usage: swf_decompress.py file.swf > file.bin")
#end def usage()

def main():
	if '-h' in sys.argv:
		usage()
		return 1
	#end if
	if len(sys.argv) < 2:
		usage()
		return 1
	#end if
	filename = sys.argv[1]
	a = open(filename,'rb').read()

	b = zlib.decompress(a[8:])
	if sys.hexversion >= 0x3000000:
		sys.stdout.buffer.write(b)
	else:
		sys.stdout.write(b)
	#end if
#end def main()

if __name__ == '__main__':
        main()
#end if
